NXP NFC Reader Library v4.040.05.011646

Data Fields
phhalHw_PN7462AU_DataParams Struct Reference

Context Structure for PN7462AU. More...

## Data Fields
uint16_t | wId
| Layer ID for this HAL component, NEVER MODIFY!
uint8_t | bCardType
| Mode in which the device will start working.
uint8_t | bFrameStep
| Frame Step Mode for Jewel card. More...
uint8_t | bSession
| Inventory session of ISO 18000p3m3. More...
uint8_t | bRxMultiple
| Flag to configure Felica RX Multiple. More...
uint8_t | bActiveMode
| Flag for Active Configuration. More...
uint8_t | bTxLastBits
| No of bits to be send of the last byte. More...
uint8_t | abStoredCRC [2]
| StoredCRC of ISO 18000p3m3 tag. More...
uint8_t | bPiccAState
| Information about MF Halted State in card mode.
uint8_t | bNfcipMode
| Enable/Disable to handle start byte at 106kbps in NFCIP-1 mode. More...
uint8_t | bMfcCryptoDisabled
| Flag indicates whether the MFC Crypto is enabled or not. More...
uint8_t | bAsk100
| Flag to indicate ASK 100 on or off status.
phhalRf_AutoCollParam_t | pAutocoll
| Contains the parameter of autocoll.
uint8_t * | pTxBuffer
| Pointer to global transmit buffer used by the Exchange() function. More...
uint8_t * | pRxBuffer
| Pointer to global receive buffer used by the Exchange() function. More...
uint16_t | wRxSubCarrier
| Information about Subcarrier to be used during Rx.
uint16_t | wTxDataRate
| Transmission Data rate.
uint16_t | wRxDataRate
| Preferred reception data rate.
uint16_t | wTxBufLen
| Size of the buffer trasmitted.
uint16_t | wParity
| Parity Config.
uint16_t | wOpeMode
| Opemode of discloop differentiate between EMVCO, ISO and NFC mode.
uint16_t | wFieldOffTime
| Field off time for rf reset.
uint16_t | wFieldRecoveryTime
| Field recovery time for rf reset.
uint16_t | wTxBufSize
| Size of the global transmit buffer. More...
uint16_t | wRxBufSize
| Size of the global receive buffer. More...
uint16_t | wRxBufLen
| Number of valid bytes within the receive buffer. More...
uint16_t | wAdditionalInfo
| Additional Information. More...
uint16_t | wRxBufStartPos
| Start position of rx buffer. More...
uint16_t | wCurrentSlotCount
| ISO 18000p3m3 slot count at time of buffer overflow (PH_ERR_SUCCESS_CHAINING). More...
uint16_t | wTargetMode
| Flag for Target Mode Configuration. More...
uint32_t | dwFdt
| Frame delay time (us)
uint32_t | dwLpcdThreshold
| AGC_CardThreshold Initial Detection Threshold of the AGC to de-tune.
uint32_t | dwLpcdReference
| AGC_RefValue reference value for agc.
uint32_t | dwLpcd_NewValue
| Variable to store new agc value.
uint32_t | dwI15693Sof
| Presence of SOF of 15693.
void * | pKeyStoreDataParams
| Pointer to the parameter structure of the keyStore layer. More...
phOsal_EventObj_t | HwEventObj
| Handle for Event. More...

## Detailed Description

Context Structure for PN7462AU.

## Field Documentation

## § bFrameStep

uint8_t phhalHw_PN7462AU_DataParams::bFrameStep

Frame Step Mode for Jewel card.

## § bSession

uint8_t phhalHw_PN7462AU_DataParams::bSession

Inventory session of ISO 18000p3m3.

## § bRxMultiple

uint8_t phhalHw_PN7462AU_DataParams::bRxMultiple

Flag to configure Felica RX Multiple.

## § bActiveMode

uint8_t phhalHw_PN7462AU_DataParams::bActiveMode

Flag for Active Configuration.

## § bTxLastBits

uint8_t phhalHw_PN7462AU_DataParams::bTxLastBits

No of bits to be send of the last byte.

## § abStoredCRC

uint8_t phhalHw_PN7462AU_DataParams::abStoredCRC[2]

StoredCRC of ISO 18000p3m3 tag.

## § bNfcipMode

uint8_t phhalHw_PN7462AU_DataParams::bNfcipMode

Enable/Disable to handle start byte at 106kbps in NFCIP-1 mode.

## § bMfcCryptoDisabled

uint8_t phhalHw_PN7462AU_DataParams::bMfcCryptoDisabled

Flag indicates whether the MFC Crypto is enabled or not.

## § pTxBuffer

uint8_t* phhalHw_PN7462AU_DataParams::pTxBuffer

Pointer to global transmit buffer used by the Exchange() function.

## § pRxBuffer

uint8_t* phhalHw_PN7462AU_DataParams::pRxBuffer

Pointer to global receive buffer used by the Exchange() function.

## § wTxBufSize

uint16_t phhalHw_PN7462AU_DataParams::wTxBufSize

Size of the global transmit buffer.

## § wRxBufSize

uint16_t phhalHw_PN7462AU_DataParams::wRxBufSize

Size of the global receive buffer.

## § wRxBufLen

uint16_t phhalHw_PN7462AU_DataParams::wRxBufLen

Number of valid bytes within the receive buffer.

## § wAdditionalInfo

uint16_t phhalHw_PN7462AU_DataParams::wAdditionalInfo

Additional Information.

## § wRxBufStartPos

uint16_t phhalHw_PN7462AU_DataParams::wRxBufStartPos

Start position of rx buffer.

## § wCurrentSlotCount

uint16_t phhalHw_PN7462AU_DataParams::wCurrentSlotCount

ISO 18000p3m3 slot count at time of buffer overflow (PH_ERR_SUCCESS_CHAINING).

## § wTargetMode

uint16_t phhalHw_PN7462AU_DataParams::wTargetMode

Flag for Target Mode Configuration.

## § pKeyStoreDataParams

void* phhalHw_PN7462AU_DataParams::pKeyStoreDataParams

Pointer to the parameter structure of the keyStore layer.

## § HwEventObj

phOsal_EventObj_t phhalHw_PN7462AU_DataParams::HwEventObj

Handle for Event.

The documentation for this struct was generated from the following file:

- phhalHw.h